---
updatedAt: 2025-02-14T21:01:35.000Z
agentTools:
  projectIndex: https://developer.getontop.com/llms.txt
---

# Wallet info & balance

This endpoint exposes the Client wallet information, like enabled status and balance available to perform transactions.

```
curl 'https://api.demo.getontop.com/client-wallet/clients/100/wallet' \
--header 'Authorization: Bearer '

```

```
{
  "id": 4,
  "wallet_version": 112,
  "client_id": 100,
  "enabled": true,
  "balance": 889.00,
  "over_draft_limit": 0.000000,
  "created_at": "2023-09-28T19:33:32.862876Z"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "ONTOP API",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.demo.getontop.com"
    }
  ],
  "tags": [
    {
      "name": "Client Wallet"
    }
  ],
  "paths": {
    "/client-wallet/clients/100/wallet": {
      "get": {
        "tags": [
          "Client Wallet"
        ],
        "summary": "Wallet info & balance",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "Bearer xxxxxxxxxxxxxxxxxx"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```